Bug 3910 - Отображение в байтах
: Отображение в байтах
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iftop)
: unstable
: all Linux
: P5 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-30 20:27 by
Modified: 2006-12-17 23:13 (History)


Attachments
Снимок iftop, отображающий ошибку (83.42 KB, image/png)
2004-04-01 15:15, Anton Farygin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-30 20:27:39
При запуске с параметром -B (отображение в байтах) линейка загрузки рисуется
все
равно в битах, хотя по идее должна рисоваться в байтах.

При этом похоже что график загрузки отображается все-таки в байтах.

Однако нужно исправить.
------- Comment #1 From 2004-03-30 20:32:22 -------
Это в апстрим.
------- Comment #2 From 2004-03-30 20:34:13 -------
А самому слабо, да ?
------- Comment #4 From 2004-03-30 20:48:14 -------
Ты ерунду не говори, я их фиксю по возможности.
Во всяком случае не закрываю с WontFix.

А тут патч на две строчки... 
Если тебе действительно слабо, то так и скажи - я сам исправлю.
------- Comment #5 From 2004-03-31 09:51:12 -------
Замечено, что отображение идет в байтах пока не превышена загрузка в 10
мегабит... после этого сваливается на биты.
------- Comment #6 From 2004-03-31 13:06:04 -------
Тьфу ты.  Забыл вчера закрыть. :-)
------- Comment #7 From 2004-03-31 13:12:06 -------
Нет, это я снова ее открыл ;-)
------- Comment #8 From 2004-03-31 13:28:34 -------
Увеличим приоритет... невозможно пользоваться iftop когда отображение идет в
байтах при большой нагрузке на канал ;-(
------- Comment #9 From 2004-03-31 14:07:30 -------
Не пользуйся ;-)

PS: Антон -- я всего лишь показываю, как нехорошо класть на багрепорты и
отсылать пользователей лесом.

Наверное, я смогу починить багу за пару часов, но считаю, что это не мое дело.
------- Comment #10 From 2004-03-31 14:55:24 -------
А у меня по прежнему не работает (а кто кладет на пользователей, кроме тебя -
никто).
------- Comment #11 From 2004-03-31 15:04:39 -------
Ну на.

А кладут -- так по факту.  Если интересно, посмотри обсуждение в linux-list на
linux.kiev.ua (http://lists.osdn.org.ua/wws/arc/linux-list, "багрепорты"), там
приводились факты и ссылки.

Этого можно попробовать избежать, но тогда надо, чтобы кто-то шерстил рассылки
именно на тему багрепортов и отвечал/закидывал в bugzilla -- и, видимо, следил
за "висячими" багами в последней.  Сильно высокой квалификации на это не
требуется, а вот усидчивость и уравновешенность -- пожалуй, да.
------- Comment #12 From 2004-03-31 15:12:15 -------
А вот послушаем что скажет на эту тему Олег ?

Просто шерстить баги не всегда хватит знаний. Кстати, эта задача по идее должна
быть возложена на QA ?

2at - что скажешь ?
------- Comment #13 From 2004-03-31 15:13:17 -------
Ты мантейнер, тебе и карты в руки (gvy)
Дел там явно меньше чем на два часа.
------- Comment #14 From 2004-03-31 15:31:33 -------
1) где сказано, что майнтейнер обязан быть кодером?
2) я не беру карт в руки
------- Comment #15 From 2004-03-31 15:32:34 -------
Если не можешь сам исправить, то отправляй в upstream. Это твои проблемы ;-)
------- Comment #16 From 2004-03-31 15:34:34 -------
Я, может быть, когда-нибудь и исправлю.  Может быть.  Когда-нибудь.

Сейчас у меня другие приоритеты и куча организационной работы, и WORKSFORME,
так
что не нравится -- не пользуй, пользуешь, но трет -- фикси.

Patches are того, welcome.
------- Comment #17 From 2004-03-31 15:56:15 -------
Тогда смени резолюцию на правильную.. WFM не прокатит.
------- Comment #18 From 2004-04-01 09:56:56 -------
Давайте Вы прекратите мне указывать, работает оно для меня или нет?

Дальнейшее препирательство вижу бессмысленным -- не нравится, в orphaned,
вместе
с остальным содержанием http://altlinux.ru/?module=sisyphus&packager=mike .

Меня не волнует судьба этих пакетов.
------- Comment #19 From 2004-04-01 15:06:45 -------
Эээ нет батенька, так просто вам от ответственности не уйти. 
Ошибки ты делать умеешь - учись их и исправлять ;-)
------- Comment #20 From 2004-04-01 15:15:36 -------
Created an attachment (id=376) [details]
Снимок iftop, отображающий ошибку

iftop запущен с параметром -B (отображение в байтах). Красным обведено - шкала
отображается в мегабитах. Загрузка канала в момент снимка - более 2-х мегабайт
в секунду (шкала отображается на мегабиты).
------- Comment #21 From 2004-04-01 15:24:12 -------
Шутка засчитана, как и утренняя.
------- Comment #22 From 2006-06-20 22:37:45 -------
В 0.17 это так и не исправили ;-(  Но по крайней мере теперь черкнул авторам
багрепорт, лезть в код как-то боязно.

Прости за цефалокакеготам.
------- Comment #23 From 2006-06-23 01:53:19 -------
> Actually, I'm wrong.  Chris put a patch for this into CVS a few weeks back.
В ChangeLog пару недель как упомянут автор @gentoo.org, оттуда и выковырял
однострочник.